#### D.5.15.3 Center

Procedure from library `resolve.lib` (see resolve_lib).

Usage:
  Center(J[,W][,E])
  J,W = ideals
  E = list

Assume:
  J = ideal containing W ( W = 0 if not specified)
  E = list of smooth hypersurfaces (e.g. exceptional divisors)

Compute:
  the center of the blow-up of J for the resolution algorithm of [Bravo,Encinas,Villamayor]

Return:
  ideal, describing the center

Example:

    LIB "resolve.lib";
    ring R=0,(x,y),dp;
    ideal J=x2-y3;
    Center(J);
    ==> _[1]=y
    ==> _[2]=x

User manual for Singular version 4.4.1, 2025, generated by texi2html.